List Cards

get/api/accounts/{accountId}/cards

Lists cards by account.

This API uses cursor-based pagination. Start by making a request without a cursor to get the first page. Use the nextCursor from the pageInfo in the response as the cursor for subsequent requests to retrieve further pages. Continue until nextCursor is undefined, indicating no more data.

Request

Path Parameters

  • accountIdstringrequired

    AccountId linked to transactions

Query Parameters

  • limitnumber

    Number of records to return

  • cursorstring

    Cursor to retrieve the next page of records

  • excludeExpiredboolean

    Filter by expiry state

  • statusstring
    Allowed values:createdactivecancelledshipped

    Filter by card status

  • expiresAfterstring

    Timestamp to filter out cards with an expiration date after the given time. Value should be an ISO 8601 string or RFC 2822 string. excludeExpired must be false

Response

Successful operation.

Body application/json

  • itemsobject[]

    Items

    • idstringrequired

      Card primary identifier

    • accountIdstringrequired

      User account ID linked to card

    • typestringrequired
      Allowed values:virtualphysical

      Type of the card

    • createdAtstringrequired

      Timestamp of card creation

    • modifiedAtstringrequired

      Timestamp of card modification

    • expiresAtstringrequired

      Timestamp of card expiration

    • isBlockedbooleanrequired

      Whether the card is blocked

    • statusstringrequired
      Allowed values:activecancelledcreatedshipped

      Status of the card

    • fundingSourceIdsstring[]required

      List of Funding Source IDs linked to the card

    • cardProgramIdstringrequired

      ID of card program linked to the card

    • regionCodestringrequired

      An Alpha2 (ISO-3166-1) country code representing the country where the card is issued.

    • currencystring

      An ISO 4217 currency code representing the issuing currency of the card.

    • expirystring

      Expiry date of the card in the format YYYYMM

    • panFirst6string

      First 6 digits of the card's PAN (Primary Account Number)

    • panLast4string

      Last 4 digits of the card's PAN (Primary Account Number)

    • networkstring
      Allowed values:mastercardsimulator

      The payment network the card is issued on. The value simulator is returned for test-mode cards, which route through Immersve's simulator rather than a live network.

    • seriesIdstring

      Opaque identifier for the card's reissuance lineage. All cards in a reissuance chain share the same seriesId. Treat this value as opaque: do not assume any relationship to id or any other field.

      Use as the primaryAccountIdentifier when constructing an Apple Pay PKAddPaymentPassRequestConfiguration. PassKit uses this value to detect that a card is already present in the wallet even if the card was reissued.

    • immersveExpirationstring

      Deprecated field, use expiresAt

    • cancelReasonstring
      Allowed values:provisioning-faileduser-requestedexternal-provider-failedexpiredreissued

      Reason why the card was cancelled

    • successorCardIdstring

      The ID of the card that was reissued from this card.

    • reissuanceTypestring
      Allowed values:standard-renewal

      The reason this card was reissued.

    • trackingUrlstring

      URL to track the shipment of a physical card.

  • pageInfoobject

    Page info for paginated results, undefined if no page info

    • nextCursorstring

      Cursor for next page, undefined if no more pages